package objects;

public class League {

    int leagueId;
    String leagueName;
    int lookback;
    int betMargin;

    int lookbackHome;
    int lookbackDraw;
    int lookbackAway;

    int betMarginHome;
    int betMarginDraw;
    int betMarginAway;

    int scoringDiffLastGame;
    int scoringTotal;
    int winLossRatioHomeAndAway;
    int winLossRatio;
    private int drawDiffHomeAway;
    private int drawTotalGoals;
    private int drawWinningForm;
    private int drawWinningFormHomeAway;

    public League(int leagueId, String leagueName, int scoringDiffLastGame,
            int scoringTotal, int winLossRatioHomeAndAway, int winLossRatio, int drawDiffHomeAway, int drawTotalGoals,
            int drawWinningForm, int drawWinningFormHomeAway) {
        this.leagueId = leagueId;
        this.leagueName = leagueName;
        this.scoringDiffLastGame = scoringDiffLastGame;
        this.scoringTotal = scoringTotal;
        this.winLossRatioHomeAndAway = winLossRatioHomeAndAway;
        this.winLossRatio = winLossRatio;
        this.drawDiffHomeAway = drawDiffHomeAway;
        this.drawTotalGoals = drawTotalGoals;
        this.drawWinningForm = drawWinningForm;
        this.drawWinningFormHomeAway = drawWinningFormHomeAway;
    }

    public int getBetMargin() {
        return betMargin;
    }

    public int getBetMarginAway() {
        return betMarginAway;
    }

    public int getBetMarginDraw() {
        return betMarginDraw;
    }

    public int getBetMarginHome() {
        return betMarginHome;
    }

    public int getDrawDiffHomeAway() {
        return drawDiffHomeAway;
    }

    public int getDrawTotalGoals() {
        return drawTotalGoals;
    }

    public int getDrawWinningForm() {
        return drawWinningForm;
    }

    public int getDrawWinningFormHomeAway() {
        return drawWinningFormHomeAway;
    }

    public int getLeagueId() {
        return leagueId;
    }

    public String getLeagueName() {
        return leagueName;
    }

    public int getLookback() {
        return lookback;
    }

    public int getLookbackAway() {
        return lookbackAway;
    }

    public int getLookbackDraw() {
        return lookbackDraw;
    }

    public int getLookbackHome() {
        return lookbackHome;
    }

    public int getScoringDiffLastGame() {
        return scoringDiffLastGame;
    }

    public int getScoringTotal() {
        return scoringTotal;
    }

    public int getWinLossRatio() {
        return winLossRatio;
    }

    public int getWinLossRatioHomeAndAway() {
        return winLossRatioHomeAndAway;
    }

    public void setBetMargin(int betMargin) {
        this.betMargin = betMargin;
    }

    public void setBetMarginAway(int betMarginAway) {
        this.betMarginAway = betMarginAway;
    }

    public void setBetMarginDraw(int betMarginDraw) {
        this.betMarginDraw = betMarginDraw;
    }

    public void setBetMarginHome(int betMarginHome) {
        this.betMarginHome = betMarginHome;
    }

    public void setDrawDiffHomeAway(int drawDiffHomeAway) {
        this.drawDiffHomeAway = drawDiffHomeAway;
    }

    public void setDrawTotalGoals(int drawTotalGoals) {
        this.drawTotalGoals = drawTotalGoals;
    }

    public void setDrawWinningForm(int drawWinningForm) {
        this.drawWinningForm = drawWinningForm;
    }

    public void setDrawWinningFormHomeAway(int drawWinningFormHomeAway) {
        this.drawWinningFormHomeAway = drawWinningFormHomeAway;
    }

    public void setLeagueId(int leagueId) {
        this.leagueId = leagueId;
    }

    public void setLeagueName(String leagueName) {
        this.leagueName = leagueName;
    }

    public void setLookback(int lookback) {
        this.lookback = lookback;
    }

    public void setLookbackAway(int lookbackAway) {
        this.lookbackAway = lookbackAway;
    }

    public void setLookbackDraw(int lookbackDraw) {
        this.lookbackDraw = lookbackDraw;
    }

    public void setLookbackHome(int lookbackHome) {
        this.lookbackHome = lookbackHome;
    }

    public void setScoringDiffLastGame(int scoringDiffLastGame) {
        this.scoringDiffLastGame = scoringDiffLastGame;
    }

    public void setScoringTotal(int scoringTotal) {
        this.scoringTotal = scoringTotal;
    }

    public void setWinLossRatio(int winLossRatio) {
        this.winLossRatio = winLossRatio;
    }

    public void setWinLossRatioHomeAndAway(int winLossRatioHomeAndAway) {
        this.winLossRatioHomeAndAway = winLossRatioHomeAndAway;
    }

}
